<?php

/**
 * Simple ProKat PHP example client
 * 
 * Using SOAP and PHP SOAPClient class
 * ProKat API version 2.1.1
 * 
 * Check website for the right WSDL address for the SoapClient.
 * The Auth key can be ordered by contacting us: support@pd-software.de
 * 
 * ProDevelop GmbH, Copyright 2019
 * Dario Schmidt, 2019-09-20
 */

/* imports */
include_once "debuglib.php";
include_once "ArticlesParameter.php";

/* base */
$client = new SoapClient("http://prokat.pd-software.de:6042/axis2/services/ProKatServices?wsdl");
$auth = "xxx";

/* online state */
printTitle("Online-Status");
$result = $client->getOnlineState();
print_a($result);

/* simple example with one parameter */
printTitle("Fahrzeugtypen");
$param = array("auth" => $auth, "alsoInactive" => false);
print_a($param);
$result = $client->getVehicleSorts($param);
print_a($result);

/* other simple example with one string parameter */
printTitle("VIN-Evaluation");
$param = array("auth" => $auth, "vehicleIdentificationNumber" => "WVWZZZ1JZ1B179763");
print_a($param);
$result = $client->getVINEvaluation($param);
print_a($result);

/* vehicle manufacturers request without add. paramters */
printTitle("Fzg.-Hersteller-Abfrage");
$param = array("auth" => $auth, "paramObj" => null);
print_a($param);
$result = $client->getVehicleManufacturers($param);
print_a($result);

/* article request with complex paramters */
printTitle("Artikel-Abfrage via OE-Teile-Nr.");
$paramObj = new ArticlesParameter();
$paramObj->number = "5Q0615301H";
$paramObj->numberType = "PN";
$paramObj->loadData = true;
$param = array("auth" => $auth, "paramObj" => $paramObj);
print_a($param);
$result = $client->getArticles($param);
print_a($result);

/**
 * Prints a title.
 *
 * @param string $title
 */
function printTitle($title) {
	echo "<b>" . $title . "</b><br>";
}

?>